# Commands in this function run every tick (1 tick = 1/20 s)
# Useful for forver loops.


execute if block ~ ~-1 ~ #temp:freezing run function temp:very_cold
execute if block ~ ~ ~ #temp:freezing run function temp:very_cold

execute if block ~ ~-1 ~ #temp:cold run function temp:cool_down
execute if block ~ ~ ~ #temp:cold run function temp:cool_down

execute if block ~ ~-1 ~ #temp:hot run function temp:very_hot
execute if block ~ ~ ~ #temp:hot run function temp:very_hot

execute if block ~ ~-1 ~ #temp:warm run function temp:warm_up
execute if block ~ ~ ~ #temp:warm run function temp:warm_up

execute if predicate temp:light_0 run scoreboard players remove @s temerature 3
execute if predicate temp:light_1 run scoreboard players remove @s temerature 2
execute if predicate temp:light_15 run scoreboard players add @s temerature 2

execute if predicate temp:on_fire run function temp:warm_up

execute if score @s temerature matches 195000.. run particle minecraft:flame ~ ~1 ~ 0.3 0.7 0.3 0.01 1
execute if score @s temerature matches 170000.. run effect give @s nausea 10 0
execute if score @s temerature matches 180000.. run effect give @s darkness 1 0
execute if score @s temerature matches 150000.. run effect give @s weakness 1 0
execute if score @s temerature matches ..10000 run effect give @s slowness 1 1
execute if score @s temerature matches ..20000 run effect give @s mining_fatigue 1 0
execute if score @s temerature matches ..40000 run effect give @s weakness 1 0 
execute if score @s temerature matches ..60000 run effect give @s slowness 1 0
execute if score @s temerature matches ..5000 run particle minecraft:snowflake ~ ~1 ~ 0.3 0.7 0.3 0.01 1

execute if score @s temerature matches 99997..100003 run effect give @s regeneration 1 0 true


execute if entity @s[y=180,dy=2000] run scoreboard players remove @s temerature 5
execute if entity @s[y=-128,dy=-60] run scoreboard players add @s temerature 3

execute if block ^ ^1 ^0.8 minecraft:campfire run function temp:warm_up
execute if block ^ ^1 ^0.8 minecraft:campfire run particle minecraft:flame ~ ~1 ~ 0.3 0.7 0.3 0.01 1

execute if score @s rowing matches 5000.. run scoreboard players add @s temerature 15
execute if score @s rowing matches 5100.. run scoreboard players remove @s rowing 50
execute if score @s rowing matches 3.. run scoreboard players remove @s rowing 2

execute if score @s see_death matches 1.. run function temp:reset_temp
execute if score @s see_sleeping matches 1.. run function temp:reset_temp
execute unless score @s temerature matches -100..200100 run function temp:reset_temp


execute if score @s temerature matches ..0 run function temp:death_by_freeze
execute if score @s temerature matches 200000.. run function temp:death_by_heat

execute if score @s temerature matches 150000.. run title @s actionbar {"text":"🔥","color":"gold","bold":true,"italic":false}
execute if score @s temerature matches 170000.. run title @s actionbar {"text":"🔥🔥","color":"gold","bold":true,"italic":false}
execute if score @s temerature matches 180000.. run title @s actionbar {"text":"🔥🔥🔥","color":"gold","bold":true,"italic":false}
execute if score @s temerature matches 195000.. run title @s actionbar {"text":"🔥🔥☠🔥🔥","color":"red","bold":true,"italic":false}

execute if score @s temerature matches 60001..95000 run title @s actionbar {"text":"❂","color":"aqua","bold":true,"italic":false}
execute if score @s temerature matches 95000..105000 run title @s actionbar {"text":"❂","color":"white","bold":true,"italic":false}
execute if score @s temerature matches 105000..149999 run title @s actionbar {"text":"❂","color":"gold","bold":true,"italic":false}


execute if score @s temerature matches ..60000 run title @s actionbar {"text":"❆","color":"aqua","bold":true,"italic":false}
execute if score @s temerature matches ..40000 run title @s actionbar {"text":"❆❆","color":"aqua","bold":true,"italic":false}
execute if score @s temerature matches ..20000 run title @s actionbar {"text":"❆❆❆","color":"aqua","bold":true,"italic":false}
execute if score @s temerature matches ..5000 run title @s actionbar {"text":"❆❆☠❆❆","color":"blue","bold":true,"italic":false}








